//****************************************************************************
//
//                          Intel Corporation
//                    Jones Farm, Hillsboro, Oregon
//                           (503) 696-8080
//
//                Intel Corporation Proprietary Information
//        Copyright (c) 2006 Intel Corporation, All Rights Reserved
//****************************************************************************

//
// One Boot Flash Update Package for S5000XAL
// Contents: 
//	BIOS = R0066
//	BMC  = ALBMC55
//  FRU  = FAL_37
// 	



// Check Platform ID
CONFIGURATION	"xxx"	"S5000XAL,3.0"
PROBE           "SYSTEM" "S5000PAL0"
FOUND           "SAL"  ""

PROBE           "SYSTEM" "S5000PAL"
FOUND           "SAL"  ""

PROBE           "SYSTEM" "S5000XAL0"
FOUND           "SAL"  ""

PROBE           "SYSTEM" "S5000XAL"
FOUND           "SAL"  ""


IFSET "SAL"
	// Check for BMC & BIOS dependencies
	PROBE BIOSVER "35+"
	FOUND "BIOSOK" "BIOSNOTOK" 

	PROBE BMCVER "0.38+" 
	FOUND "BMCOK" "BMCNOTOK"

	IFSET "BMCOK" "BIOSOK"
		FWNAME 	"ALBMC55.hex"
		BIOSNAME 	"R0066.Cap"
		CFGNAME "MASTER_da.CFG"

		HSCNAME	"DR235202.hex" 	"SR2500AL"
		HSCNAME	"DO2_202.hex" 		"SR1500AL"
		HSCNAME	"PET202.hex" 		"SR1550AL"
	ELSE
		IFSET BIOSNOTOK
			DISPLAY "ERROR: Current BIOS is not compatible to be updated to this package!"
		ENDIF
		IFSET BMCNOTOK
			DISPLAY "ERROR: Current BMC Firmware is not compatible to be updated to this package!"
		ENDIF
	ENDIF //BMC & BIOS CHECK

ELSE
	DISPLAY "ERROR: Update package is not intended for this platform!"
	ERRORLEVEL 09

ENDIF //platform ID check

// End of configuration file



